Обновление php с 5.1 на 5.3

01 Jul 2013 | Автор: anchous |

Приобрел с оказией дешманский VPS куда стал не спеша заливать пачку новых дропов, и тут на установке WordPress мне инсталлятор сообщает что установке требуется php как минимум 5.2.4, тогда как у меня стоит 5.1.6.

Пошел смотреть версию- CentOS 5.9, но по дефолту в пятерке идет именно 5.1.6, так что команда yum update с последующим апдейтом php не поможет, а сами центосовцы предлагают ручками апнуться только с 5.1 на 5.2, так что видимо придется обратиться к сторонним репозиториям:
# rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm

после чего говорим накатить php и все зависимости
# yum install –enablerepo=webtatic php

и собственно рестартим апач
/etc/init.d/httpd restart

и видим что версия у нас стала то что надо:
# php -v
PHP 5.3.26 (cli) (built: Jun  9 2013 11:58:01)

VN:F [1.9.21_1169]
Rating: 10.0/10 (2 votes cast)
VN:F [1.9.21_1169]
Rating: 0 (from 0 votes)
Обновление php с 5.1 на 5.3, 10.0 out of 10 based on 2 ratings

Теги: , ,

Ваш отзыв